## go-gradient-selector go-gradient-selector |

## Functions

GtkWidget * | go_gradient_selector_new ()
void | go_gradient_selector_set_colors ()
GtkWidget * | go_selector_new_gradient ()

## Description

## Functions

### go_gradient_selector_new ()

    GtkWidget *
    go_gradient_selector_new (GOGradientDirection initial_direction,
                              GOGradientDirection default_direction);

`go_gradient_selector_new` has been deprecated since version 0.9.6 and should not be used in newly-written code.

, use `go_selector_new_gradient()`.

Creates a new gradient selector.

#### Parameters

initial_direction | initially selected direction |
default_direction | automatic gradient direction |

#### Returns

a new GtkWidget.

[transfer full]

### go_gradient_selector_set_colors ()

    void
    go_gradient_selector_set_colors (GOSelector *selector,
                                     GOColor start,
                                     GOColor stop);

### go_selector_new_gradient ()

    GtkWidget *
    go_selector_new_gradient (GOGradientDirection initial_direction,
                              GOGradientDirection default_direction);

Creates a new gradient selector.

#### Parameters

initial_direction | initially selected direction |
default_direction | automatic gradient direction |

#### Returns

a new GtkWidget.

[transfer full]

Since: 0.9.6